#! /bin/sh
# Marc SCHAEFER <schaefer@alphanet.ch>
# Automatic notification script which remembers once a day only.
# I use this:
#    37 8,12,18 * * *  /root/bin/notify.sh cathy && /root/bin/notify.sh jv
#$Id: notify.sh,v 1.2 2001/07/24 09:13:08 disco Exp $

if [ $# != 1 ]; then
   echo "$0 user" >&2
   echo "$0: bad args." >&2
   exit 2
fi

DATA_DIR=~/.mail-sms-notify
MAIL_DIR=/usr/spool/mail

mkdir -p $DATA_DIR && chmod 700 $DATA_DIR && cd $DATA_DIR
if [ $? != 0 ]; then
   echo "Can't create/chmod/cd to $DATA_DIR" >&2
   exit 1
fi

mkdir -p $1 && chmod 700 $1 && cd $1 
if [ $? != 0 ]; then
   echo "Can't create/chmod/cd to $DATA_DIR/$1" >&2
   exit 1
fi

LAST_DATE_FILE=last_sent_sms

if [ -f $LAST_DATE_FILE ]; then
   LAST_DATE=`cat $LAST_DATE_FILE`
else
   echo "LAST_DATE file (`pwd`/$LAST_DATE_FILE) doesn't exist/is unreadable" >&2
   exit 1
fi

CURRENT_DATE=`date  "+%Y%m%d"`

if [ -s $MAIL_DIR/$1 ]; then
   if [ "$LAST_DATE" != "$CURRENT_DATE" ]; then
      echo $CURRENT_DATE > $LAST_DATE_FILE 
      if [ $? != 0 ]; then
	 echo "LAST_DATE file can't be created" >&2
	 rm -f $LAST_DATE_FILE # will die
	 exit 1
      fi

      INFO=`frm $MAIL_DIR/$1 | tail -1`

      for i in 1 2 3
      do
	 echo "$0: $1 sending notification"

	 (echo -n "You have mail. Last dated "
	  ls -la $MAIL_DIR/$1 | cut -c 43-54
          echo "$INFO") | /usr/local/bin/smspost $1
	 if [ $? = 0 ]; then
	    break
	 fi
	 sleep 60
      done
   fi
fi



